<?php

namespace Drupal\eulerian_tacjs;

/**
 * Declare Eulerian TacJS service properties.
 */
interface ServiceInterface {

  /**
   * Service name.
   *
   * @var string
   */
  const NAME = 'eulerian-analytics';

  /**
   * Service type.
   *
   * @var string
   */
  const TYPE = 'analytic';

  /**
   * The interfacing of Eulerian with Tarte au citron does not respect the design of the CMP.
   * Eulerian offers another implementation.
   *
   * @see https://eulerian.wiki/doku.php?id=fr:modules:collect:gdpr:tarteaucitron
   *
   * @string
   */
  const MODE_EULERIAN = 'eulerian';
  const MODE_TAC = 'tarte_au_citron';


}
